package it.integry.integrywmsnative.gest.accettazione_picking.dto;

import org.jetbrains.annotations.NotNull;

import java.math.BigDecimal;

public class AccettazioneListModel implements Cloneable {


    private String groupTitle;

    private String badge1;
    private String badge2;

    private String descrizione;
    private boolean descrizionePresente;
    private String subDescrizione1;
    private String subDescrizione2;
    private BigDecimal qtaEvasa;
    private BigDecimal qtaTot;
    private String untMis;

    private boolean active;

    @NotNull
    @Override
    public Object clone() {
        try {
            return super.clone();
        } catch (Exception ex) {
            return null;
        }
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public AccettazioneListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getBadge1() {
        return badge1;
    }

    public AccettazioneListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public String getBadge2() {
        return badge2;
    }

    public AccettazioneListModel setBadge2(String badge2) {
        this.badge2 = badge2;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public AccettazioneListModel setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public boolean isDescrizionePresente() {
        return descrizionePresente;
    }

    public AccettazioneListModel setDescrizionePresente(boolean descrizionePresente) {
        this.descrizionePresente = descrizionePresente;
        return this;
    }

    public String getSubDescrizione1() {
        return subDescrizione1;
    }

    public AccettazioneListModel setSubDescrizione1(String subDescrizione1) {
        this.subDescrizione1 = subDescrizione1;
        return this;
    }

    public String getSubDescrizione2() {
        return subDescrizione2;
    }

    public AccettazioneListModel setSubDescrizione2(String subDescrizione2) {
        this.subDescrizione2 = subDescrizione2;
        return this;
    }

    public BigDecimal getQtaEvasa() {
        return qtaEvasa;
    }

    public AccettazioneListModel setQtaEvasa(BigDecimal qtaEvasa) {
        this.qtaEvasa = qtaEvasa;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public AccettazioneListModel setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public AccettazioneListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public boolean isActive() {
        return active;
    }

    public AccettazioneListModel setActive(boolean active) {
        this.active = active;
        return this;
    }
}
